Subject: [CCAMP] Query on RFC-4202 (Routing Extensions in support of GMPLS)

From: Ashok K <[email-masked]>
Date: Tue, 6 Jul 2010 16:44:59 +0530

Hi CCAMPers,
I have a question regarding the intrepretation of an illustration
(pertaining to SDH ISCD) in RFC-4202 (Routing Extensions in support of
GMPLS).

Refer to the following ISCD encoding example specified in the section 3.2 of
RFC-4202 (Page-15):

<SNIP>

3.4.  STM-64 SDH Interface on a Digital Cross Connect with Two Types of
      SDH Multiplexing Hierarchy Supported

      Interface Switching Capability Descriptor 1:
         Interface Switching Capability = TDM [Standard SDH]
         Encoding = SDH
         Min LSP Bandwidth = VC-3
         Max LSP Bandwidth[p] = STM-64, for all p

      Interface Switching Capability Descriptor 2:
         Interface Switching Capability = TDM [Arbitrary SDH]
         Encoding = SDH
         Min LSP Bandwidth = VC-4
         Max LSP Bandwidth[p] = STM-64, for all p

   If multiple links with such interfaces at both ends were to be
   advertised as one TE link, link bundling techniques should be used.

</SNIP>

Does the above mean that the ISCDs pertaining to both VC-3 and VC-4 should
be encoded if both are supported on a given interface?

Here "Switching Capability" and "Encoding type" of both the ISCDs are
exactly the same. The only distinguishing attribute here is the
Min-LSP-Bandwidth which is encoded as a part of "Switch Capability Specific
Information". I somehow got the impression that "Switch Capability" and
"Encoding type" combination should be unique for an ISCD (within Link TLV).

If the answer is Yes, Can we generalize this as follows?
TE-LSA  Link-TLV can contain multilple ISCD Sub-TLVs with same "Switching
Capability" and "Encoding type" - but distinguished solely through one or
more attribute(s) encoded in their "Switch Capability Specific Information".

It would be of great help if the authors/someone in the mailing-list
clarifies this.

Thanks,
Ashok

---

From: Benoit C Tremblay <[email-masked]>
Date: Fri, 9 Jul 2010 10:03:07 -0400

Hi Ashok,

I believe the problem comes from the fact that switching/encoding  types do not provide enough information to accurately describe a TE-link in a multi-layer network (as illustrated by the current debate for OTN).  Some extra information needs to be provided to complete the description of the TE-link.  In SDH/Sonet, the min and max LSP bandwidths are used as discriminators.

In my understanding, the scenario you describe includes links from two different layers and should be advertized as such using two ISCDs.

Regards,
Benoit

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ashok K
Sent: July-06-10 7:15 AM
To: [email-masked]
Subject: [CCAMP] Query on RFC-4202 (Routing Extensions in support of GMPLS)

Hi CCAMPers,

I have a question regarding the intrepretation of an illustration (pertaining to SDH ISCD) in RFC-4202 (Routing Extensions in support of GMPLS).

Refer to the following ISCD encoding example specified in the section 3.2 of RFC-4202 (Page-15):

<SNIP>

</SNIP>

Does the above mean that the ISCDs pertaining to both VC-3 and VC-4 should be encoded if both are supported on a given interface?

Here "Switching Capability" and "Encoding type" of both the ISCDs are exactly the same. The only distinguishing attribute here is the Min-LSP-Bandwidth which is encoded as a part of "Switch Capability Specific Information". I somehow got the impression that "Switch Capability" and "Encoding type" combination should be unique for an ISCD (within Link TLV).

TE-LSA  Link-TLV can contain multilple ISCD Sub-TLVs with same "Switching Capability" and "Encoding type" - but distinguished solely through one or more attribute(s) encoded in their "Switch Capability Specific Information".

It would be of great help if the authors/someone in the mailing-list clarifies this.

Thanks,
Ashok